Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

How do I install Qt-devel (4.5)? Where do I get it?

I need to compile cpp files into an executable. I have no idea how this works.

share|improve this question
1  
Why don't you tell us what you want to do. What are you trying to compile? –  Nifle Sep 14 '10 at 13:37
add comment

3 Answers

Qt is a cross-platform application and UI framework. It includes a cross-platform class library, integrated development tools and a cross-platform IDE. Using Qt, you can write web-enabled applications once and deploy them across many desktop and embedded operating systems without rewriting the source code.

Source and sdk can be downloaded here

share|improve this answer
add comment

As the answers above say, it's a cross platform C++ framework.

When you say qt-devel, it sounds like a specific package. Your Linux comes as a series of packages that you can then install with a package manager. What distribution (e.g. Fedora, Ubuntu) are you using? This is a common, core package. You should be able to use the software update tool for your specific Linux to get this package.

share|improve this answer
add comment

From Wikipedia:

Qt is a cross-platform application development framework widely used for the development of GUI programs (in which case it is known as a widget toolkit), and also used for developing non-GUI programs such as console tools and servers.

Qt is most notably used in Google Earth, KDE, Opera (before 10.60 version), OPIE, Skype, MO-Call, VLC media player and VirtualBox. It is produced by Nokia's Qt Development Frameworks division, which came into being after Nokia's acquisition of the Norwegian company Trolltech, the original producer of Qt, on June 17, 2008.

Please see the related Wikipedia page and these external links to find out more.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.